#
# spec file for package perl-Method-Signatures
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Method-Signatures
Version:        20170211
Release:        lp150.1.3
%define cpan_name Method-Signatures
Summary:        Method and Function Declarations with Signatures and No Source Filter
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Method-Signatures/
Source0:        http://www.cpan.org/authors/id/B/BA/BAREFOOT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Any::Moose) >= 0.11
BuildRequires:  perl(Const::Fast) >= 0.006
BuildRequires:  perl(Devel::Declare) >= 0.006002
BuildRequires:  perl(Devel::Declare::MethodInstaller::Simple) >= 0.006002
BuildRequires:  perl(Lexical::SealRequireHints) >= 0.008
BuildRequires:  perl(Module::Build) >= 0.310000
BuildRequires:  perl(Mouse) >= 0.64
BuildRequires:  perl(PPI) >= 1.203
BuildRequires:  perl(Sub::Name) >= 0.03
BuildRequires:  perl(Test::Builder) >= 0.82
BuildRequires:  perl(Test::Exception) >= 0.290000
BuildRequires:  perl(Test::More) >= 0.82
BuildRequires:  perl(Test::Warn) >= 0.10
Requires:       perl(Any::Moose) >= 0.11
Requires:       perl(Const::Fast) >= 0.006
Requires:       perl(Devel::Declare) >= 0.006002
Requires:       perl(Devel::Declare::MethodInstaller::Simple) >= 0.006002
Requires:       perl(Lexical::SealRequireHints) >= 0.008
Requires:       perl(Mouse) >= 0.64
Requires:       perl(PPI) >= 1.203
Requires:       perl(Sub::Name) >= 0.03
Recommends:     perl(Data::Alias) >= 1.08
Recommends:     perl(Moose) >= 0.96
%{perl_requires}

%description
Provides two new keywords, 'func' and 'method', so that you can write
subroutines with signatures instead of having to spell out 'my $self =
shift; my($thing) = @_'

'func' is like 'sub' but takes a signature where the prototype would
normally go. This takes the place of 'my($foo, $bar) = @_' and does a whole
lot more.

'method' is like 'func' but specifically for making methods. It will
automatically provide the invocant as '$self' (by default). No more 'my
$self = shift'.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Sun Feb 12 2017 coolo@suse.com
- updated to 20170211
  see /usr/share/doc/packages/perl-Method-Signatures/Changes
  20170211    Feb 11 13:38:39 PST 2017
    Promoted to full release
  20160608.0051_002   Wed Jun  8 00:51:42 PDT 2016
    New Features
  * Can now put prototypes in front of signatures
    (provides compatibility with sigs in 5.20)
    [RT/93336, github #99/#127] (thanks brummett)
  20160516.2032_001   Mon May 16 20:32:59 PDT 2016
    New Features
  * Can now use bare sigils as placeholders
    (provides compatibility with sigs in 5.20)
    [RT/93334, github #100/#126] (thanks brummett)
* Mon Mar 21 2016 coolo@suse.com
- updated to 20160315
  see /usr/share/doc/packages/perl-Method-Signatures/Changes
  20160315    Tue Mar 15 16:21:33 PDT 2016
    Promoted to full release
  20160310.2049_001   Thu Mar 10 20:49:00 PST 2016
    Docs
  * Fix broken link in POD
    [github #120] (thanks Manwar)
    Distribution Fixes
  * Generate README from POD
    [github #122/#123/#124] (thanks jluis)
  * Silence bogus Kwalitee failure
    [github #121] (thanks jluis)
  20151120.1519_001   Fri Nov 20 15:19:44 PST 2015
    Bug Fixes
  * Fix missing semi-colon
    [github #118] (thanks joenio)
    Distribution Fixes
  * Bump required version of Lexical::SealRequireHints to fix RT #93759
    [github #119] (thanks chorny)
* Sun Nov 23 2014 coolo@suse.com
- updated to 20141021
    Promoted to full release
  20140920.1910_001   Sat Sep 20 19:10:06 PDT 2014
    New Features
  * Can now specify an alternate name for invocant (besides `$self`)
    [github #82] (thanks Hercynium)
    Bug Fixes
  * Correct parse error on multi-line default values
    [github #106]
  * Using a required param after an optional one now a compile error
    [github #108]
  20140806.0226_001   Wed Aug  6 02:26:36 PDT 2014
    Bug Fixes
  * Correct parse error when invocant is preceded by a space
  * Fix bug where undef which should trigger default fails typecheck
    [github #102]
    Distribution Fixes
  * Remove dependency on experimental (breaks 5.8 compat)
    [github #97]
    Misc
  * Refactor signature parsing into its own class
    [github #96]
* Wed Aug 27 2014 coolo@suse.com
- initial package 20140224
  * created by cpanspec 1.78.08
